SAM_WARN_SIGNAL_SET(3)

NAME

sam_warn_signal_set - Set warn signal

SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_warn_signal_set (int warn_signal);

DESCRIPTION

The sam_warn_signal_set function is used to configure warning signal sent before real killing of unresponsive application. Default value is SIGTERM. SIGKILL can be used to emulate "not warning signal send" behaviour.

RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned.

ERRORS

CS_ERR_BAD_HANDLE
    component was not initialized by calling sam_initialize(3) or it was finalized.

SEE ALSO
sam_initialize(3)